Topics

Make problem - Ubuntu 11.10


Kyle Redelinghuys <awesomistguy@...>
 

Hi there

I am trying to compile the OpenMAMA software on Ubuntu 11.10 but am having trouble doing so. After ./configure, sudo make throws an error. This is the error I am getting:

/usr/bin/ld: cannot find -lwombatcommon
collect2: ld returned 1 exit status
make[5]: *** [libmama.la] Error 1
make[5]: Leaving directory `/home/user/Software/OpenMAMA/mama/c_cpp/src/c'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/user/Software/OpenMAMA/mama/c_cpp/src/c'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/user/Software/OpenMAMA/mama/c_cpp/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/user/Software/OpenMAMA/mama/c_cpp'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/user/Software/OpenMAMA/mama/c_cpp'

What can I install to get this working? Or will this software only work on Redhat/SUSE distributions?

Apologies for mailing direct, searching revealed no answers.

Thanks
Kyle


Mike Schonberg <mschonberg@...>
 


I am trying to compile the OpenMAMA software on Ubuntu 11.10 but am
having trouble doing so. After ./configure, sudo make throws an error.
This is the error I am getting:

/usr/bin/ld: cannot find -lwombatcommon
collect2: ld returned 1 exit status
make[5]: *** [libmama.la] Error 1
make[5]: Leaving directory
`/home/user/Software/OpenMAMA/mama/c_cpp/src/c'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory
`/home/user/Software/OpenMAMA/mama/c_cpp/src/c'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/home/user/Software/OpenMAMA/mama/c_cpp/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/home/user/Software/OpenMAMA/mama/c_cpp'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/home/user/Software/OpenMAMA/mama/c_cpp'

What can I install to get this working? Or will this software only work
on Redhat/SUSE distributions?
Although we do most of our testing on Redhat and SUSE, OpenMAMA will build on Ubuntu. From Your errors, it appears that you do not have flex installed. You will also need uuid-dev. See http://www.openmama.org/users/build-openmama for a list of prerequisites for building OpenMAMA.

Regards,
-Mike
Please consider the environment before printing this email.

Visit our website at http://www.nyse.com

****************************************************

Note: The information contained in this message and any attachment to it is privileged, confidential and protected from disclosure. If the reader of this message is not the intended recipient, or an employee or agent responsible for delivering this message to the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this communication in error, please notify the sender immediately by replying to the message, and please delete it from your system. Thank you. NYSE Euronext.